diff -Nur madwifi-trunk-r3314.orig/ath/if_ath.c madwifi-trunk-r3314/ath/if_ath.c
--- madwifi-trunk-r3314.orig/ath/if_ath.c	2008-07-10 11:27:00.000000000 +0200
+++ madwifi-trunk-r3314/ath/if_ath.c	2008-07-10 11:28:27.000000000 +0200
@@ -4085,7 +4085,9 @@
 
 static void ath_poll_disable(struct net_device *dev)
 {
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,24)
 	struct ath_softc *sc = dev->priv;
+#endif
 
 	/*
 	 * XXX Using in_softirq is not right since we might
@@ -4103,7 +4105,9 @@
 
 static void ath_poll_enable(struct net_device *dev)
 {
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,24)
 	struct ath_softc *sc = dev->priv;
+#endif
 
 	/* NB: see above */
 	if (!in_softirq()) {
diff -Nur madwifi-trunk-r3314.orig/net80211/ieee80211_scan_ap.c madwifi-trunk-r3314/net80211/ieee80211_scan_ap.c
--- madwifi-trunk-r3314.orig/net80211/ieee80211_scan_ap.c	2008-07-10 11:27:00.000000000 +0200
+++ madwifi-trunk-r3314/net80211/ieee80211_scan_ap.c	2008-07-10 11:28:27.000000000 +0200
@@ -211,8 +211,8 @@
 {
 	struct ap_state *as 	    = ss->ss_priv;
 	struct ieee80211com *ic     = NULL;
-	int i;
-	unsigned int mode = 0;
+//	int i;
+//	unsigned int mode = 0;
 
 	SCAN_AP_LOCK_IRQ(as);
 	ic = vap->iv_ic;
diff -Nur madwifi-trunk-r3314.orig/net80211/ieee80211_scan_sta.c madwifi-trunk-r3314/net80211/ieee80211_scan_sta.c
--- madwifi-trunk-r3314.orig/net80211/ieee80211_scan_sta.c	2008-07-10 11:27:00.000000000 +0200
+++ madwifi-trunk-r3314/net80211/ieee80211_scan_sta.c	2008-07-10 11:28:27.000000000 +0200
@@ -325,9 +325,9 @@
 {
 	struct ieee80211com *ic = vap->iv_ic;
 	struct sta_table *st = ss->ss_priv;
-	enum ieee80211_phymode mode;
-	struct ieee80211_channel *c;
-	int i;
+//	enum ieee80211_phymode mode;
+//	struct ieee80211_channel *c;
+//	int i;
 
 	ss->ss_last = 0;
 	ieee80211_scan_add_channels(ic, ss, vap->iv_des_mode);
